# AIEventIndustryOpen Class Reference

Event Industry Open, indicating a new industry has been created. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventIndustryOpen:

## Public Member Functions

| AIEventIndustryOpen (IndustryID industry_id)
IndustryID | GetIndustryID ()
| Get the IndustryID of the new industry.

## Static Public Member Functions

static const char * | GetClassName ()
static AIEventIndustryOpen * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.

## Private Attributes

IndustryID | industry_id

## Detailed Description

Event Industry Open, indicating a new industry has been created.

Definition at line 529 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventIndustryOpen::AIEventIndustryOpen | ( | IndustryID | industry_id | ) | `[inline]`

Parameters:

  | industry_id | The new industry.

Definition at line 536 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventIndustryOpen* AIEventIndustryOpen::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 546 of file ai_event_types.hpp.

IndustryID AIEventIndustryOpen::GetIndustryID | ( |  | ) | `[inline]`

Get the IndustryID of the new industry.

Returns:
  The IndustryID of the industry.

Definition at line 552 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp